@import '../../../../../sass/variables';

.web-chart {
    width: 100%;
    height: 100%;

    svg {
        height: 100%;
        width: 100%;

        .x-axis {
            text {
                fill: $grey;
            }
        }

        .y-axis {
            text {
                fill: $grey;
            }
        }

        .domain, .tick line {
            stroke: $lightPurple;
            stroke-opacity: 0.2;
        }

        .overlay {
            opacity: 0;
        }

        .hover-bar {
            fill: #53d1ff;
            opacity: 0;
        }
    }

    .tooltip {
        position: absolute;
        padding: 5px;
        color: white;
        background: #151d31;
        text-align: center;
        border: 2px solid #ef99ff;
        opacity: 0.8;
        overflow: hidden;
        -ms-transform: translateX(-50%) translateY(-50%) translateY(-10px);
        transform: translate(-50%, calc(-50% - 10px));
        z-index: 100;

        .tooltip-text {
            font-size: 12px;
            white-space: nowrap;
        }
    }

    &.line-chart {
        path {
            fill: none;
            stroke: steelblue;
            stroke-width: 1.5;
        }

        .data-circle {
            fill: steelblue;
        }
    }

    &.bar-chart {
        .data-bar {
            fill: steelblue;
        }
    }
}
